package com.zd.common.core.enums;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @Author: zhoupan
 * @Date: 2021/09/17/19:33
 * @Description:
 */
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum WorkTypeEnum implements BaseEnum<Integer> {

    CAMERA(1, "随手拍", null),
    VIOLATIONS(2, "违规", null),
    SECURITY(3, "安全准入申请", null),
    ;


    WorkTypeEnum(Integer code, String name, String url) {
        this.code = code;
        this.name = name;
        this.url = url;
    }

    private Integer code;

    private String name;

    private String url;

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public String getUrl() {
        return url;
    }

    @Override
    public Integer getDictKey() {
        return code;
    }
}
